Bug 1485824 - [DOCS] openshift_hosted_registry_routehost variable for customizing docker-registry route is not documented.
Summary: [DOCS] openshift_hosted_registry_routehost variable for customizing docker-re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: ---
Assignee: Kathryn Alexander
QA Contact: Dongbo Yan
Vikram Goyal
URL:
Whiteboard: 3.10-release-plan
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-28 07:51 UTC by Joel Rosental R.
Modified: 2021-06-10 12:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-12 19:04:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Joel Rosental R. 2017-08-28 07:51:08 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.5/install_config/install/advanced_install.html#advanced-install-configuring-registry-location

Section Number and Name: 
Configuring a Registry Location

Describe the issue: 
As of OCP 3.5 there is a new variable (openshift_hosted_registry_routehost) which can be used to customize docker-registry route prior installation, however it does not seem to be present in official documentation: https://docs.openshift.com/container-platform/3.5/install_config/install/advanced_install.html

Suggestions for improvement: 
Document this variable.

Additional information:

Comment 2 Johnathan Kupferer 2018-03-05 23:50:57 UTC
I was just looking for the same and found that this and related variables are also missing from the docs:

openshift_hosted_registry_routehost
openshift_hosted_registry_routecertificates
openshift_hosted_registry_routetermination

Comment 3 Kathryn Alexander 2018-04-05 14:34:35 UTC
I've created a draft of the update here: https://github.com/openshift/openshift-docs/pull/8612

Since the function changed in 3.7, I think we should include it in the docs from that version on.

Comment 4 Kathryn Alexander 2018-04-05 16:04:55 UTC
Dongbo, will you please take a look? https://github.com/openshift/openshift-docs/pull/8612

Comment 5 Dongbo Yan 2018-04-12 11:08:23 UTC
PR look good to me, move to verified

Comment 6 openshift-github-bot 2018-04-12 12:45:58 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/9f06b16a583f30c31a466f13dd496b6165f45341
bug 1485824 adding registry route variables

https://github.com/openshift/openshift-docs/commit/bd12d3c36a279529e25b0489f9dc621d5731095e
Merge pull request #8612 from kalexand-rh/BZ1485824

bug 1485824 adding registry route variables

Comment 7 Kathryn Alexander 2018-04-12 13:17:32 UTC
Thanks Dongbo!

I've cherry-picked the change back to 3.7 and am waiting for it to be visible in a build.


Note You need to log in before you can comment on or make changes to this bug.